% DC8 FC1 ILS Coupler

load DC8FC1Long

DC8FC1AT;

ckg(5,:)=[0 -1 1 0 0 0];dkg=[dkg;0];     % add gamma to outputs of system w. AT
sysacAT=ss(aclat,bcl,ckg,dkg);            % System w. att cont and AT - Thet com input
num2=[244/1200];den2=[1 0];OL=tf(num2,den2);   % E/gamma outer loop
sysOL=series(sysacAT,OL,[5],[1]);
[aOL,bOL,cOL,dOL]=ssdata(sysOL);
cgde=[[0;0;0;0;0] ckg];cgde=[cgde;1200*cOL;cOL];dgde=[dkg;0;0]; %add d & E to y vector
sysOL=ss(aOL,bOL,cgde,dgde);
numpi=[1 .3];denpi=[1 0];pi=tf(numpi,denpi);   % PI compensator
numl=[1 .06];denl=[1 .6];lead=tf(numl,denl);   % lead comp.
comp=pi*lead;
syscomp=series(comp,sysOL);						% Put comp in series
[acomp,bcomp,ccomp,dcomp]=ssdata(syscomp);
aILS=acomp-bcomp*1.585*ccomp(7,:);				% Close ILS loop
bILS=bcomp*1.585;
sysgs=ss(aILS,bILS,ccomp,dcomp);         % gs coupler rad-ft-sec
