% DC8 FC3 Pitch Controller

load DC8FC3Long

sys=ss(a,b,c,d);	           % Vehicle model with elevator input
dena=[1 20];aa=tf(-20,dena);  % Elevator actuator model (with  sign reversed
sysaa=series(aa,sys);	       % Actuator and vehicle model in series
[aaa,ba,ca,da]=ssdata(sysaa);	% State-variable matrices recovered
aaaug=aaa-ba*1*ca(4,:);	  % Vehicle Aaug matrix augmented with pitch damper
sysaug=ss(aaaug,ba,ca,da);	  % Define state-variable model for augmented system 

acl=aaaug-ba*3.16*ca(3,:);	  % Closed-loop ACL matrix w. pitch controller
bcl=ba*3.16;	              % b matrix for closed-loop system
syscl=ss(acl,bcl,ca,da);	  % Pitch-controlled system thetac input
