% DC8 FC1 Autothrottle

load DC8FC1Long

DC8FC1PAC;

bt=[1000/(230000/32.2);0;0;0;0;0];	% b matrix for thrust input in units of Klbs
sysclt=ss(acl,bt,ckg,dkg);         % Pitch-controlled system w. thrust input
aclat=acl-bt*3.16*ckg(1,:);       % Close auto-throttle loop
bclat=bt*3.16;
sysclat=ss(aclat,bclat,ckg,dkg);    % Closed-loop system w. auto-throttle
